curl --request GET \
--url https://api.instantly.ai/api/v2/inbox-placement-reports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/inbox-placement-reports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/inbox-placement-reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/inbox-placement-reports/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/inbox-placement-reports/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/inbox-placement-reports/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a11b9b-287f-7388-81f1-15192ebf866d",
"timestamp_created": "2026-10-08T13:01:55.711Z",
"timestamp_created_date": "2026-10-08",
"organization_id": "01a11b9b-287f-7388-81f1-151a9d02c997",
"test_id": "01a11b9b-287f-7388-81f1-151b9cd682c0",
"domain": "growinstantly.com",
"domain_ip": "192.168.1.1",
"spam_assassin_score": 2.5,
"domain_blacklist_count": 5,
"domain_ip_blacklist_count": 3,
"spam_assassin_report": {
"is_spam": false,
"report": [
{
"description": "BODY",
"name": "HTML_MESSAGE",
"score": "0.0"
}
],
"spam_score": 0
},
"blacklist_report": {
"address": "growinstantly.com",
"blacklisted_count": 5,
"details": [
{
"blacklist": "zen.spamhaus.org",
"is_listed": true,
"test_type": "ip"
}
],
"ip": "104.21.62.47",
"is_blacklisted": true,
"is_domain": true
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Get inbox placement blacklist and spamassassin report
Requires one of the following scopes: inbox_placement_reports:read, inbox_placement_reports:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the requested item
"01a11b9b-7a10-7512-83bb-00472f3e907d"
Response
The requested Inbox Placement Blacklist And SpamAssassin Report
Report data for an inbox placement test
Unique identifier for the inbox placement report entry
"01a11b9b-287f-7388-81f1-15192ebf866d"
Timestamp when the inbox placement report was created
"2026-10-08T13:01:55.711Z"
Date when the inbox placement report was created
"2026-10-08"
Organization ID
"01a11b9b-287f-7388-81f1-151a9d02c997"
Inbox Placement Test ID
"01a11b9b-287f-7388-81f1-151b9cd682c0"
Domain of the inbox placement report
"growinstantly.com"
IP address of the domain
"192.168.1.1"
SpamAssassin score for the email, indicating spam likelihood
2.5
Count of blacklists the domain is listed on
5
Count of blacklists the domain IP is listed on
3
Detailed SpamAssassin analysis report
Show child attributes
Show child attributes
Detailed blacklist report for the domain or IP
Show child attributes
Show child attributes